### Struct

# EDataServer WebDAVResource

#### Description

    struct EWebDAVResource {
      EWebDAVResourceKind kind;
      guint32 supports;
      gchar* href;
      gchar* etag;
      gchar* display_name;
      gchar* content_type;
      gsize content_length;
      glong creation_date;
      glong last_modified;
      gchar* description;
      gchar* color;
      guint order;
    }

No description available.

###### Structure members

`kind:` `EWebDAVResourceKind`

  No description available.

`supports:` `guint32`

  No description available.

`href:` `gchar*`

  No description available.

`etag:` `gchar*`

  No description available.

`display_name:` `gchar*`

  No description available.

`content_type:` `gchar*`

  No description available.

`content_length:` `gsize`

  No description available.

`creation_date:` `glong`

  No description available.

`last_modified:` `glong`

  No description available.

`description:` `gchar*`

  No description available.

`color:` `gchar*`

  No description available.

`order:` `guint`

  No description available.

#### Constructors

###### e_webdav_resource_new

Some values of the resource are not always valid, depending on the `kind`, but also whether server stores such values and whether it had been asked for them to be fetched.

since: 3.26

#### Functions

###### e_webdav_resource_free

Frees an `EWebDAVResource` previously created with `e_webdav_resource_new()` or e_webdav_resource_copy(). The function does nothing, if `ptr` is `NULL`.

since: 3.26

#### Instance methods

###### e_webdav_resource_copy

No description available.

since: 3.26